Skip to main content

GET /v1/reddit/app/fetch_dynamic_search

Fetch Reddit APP Dynamic Search Results

stable · 2 credits per success

Perform Reddit APP dynamic search, supporting posts, communities, comments, media, and users;query: Search keyword;search_type: Search type, options;- post: Search posts (default);- community: Search communities/subreddits;- comment: Search comments;- media: Search media (images/videos/GIFs);- people: Search users;sort: Sort method (only for post/comment/media types), options;- RELEVANCE: By rele…

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/reddit/app/fetch_dynamic_search?sort=RELEVANCE&after=demo&query=python%20programming&allow_nsfw=0&time_range=all&need_format=false&safe_search=unset&search_type=post' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
search{ 1 item }
}
meta{
endpoint:"reddit.app.fetch_dynamic_search"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    sortstringqueryno排序方式(仅适用于postRELEVANCE
    afterstringqueryno分页参数demo
    querystringqueryyes搜索关键词python programming
    allow_nsfwstringqueryno是否允许NSFW内容0
    time_rangestringqueryno时间范围(仅适用于postall
    need_formatbooleanqueryno是否需要清洗数据false
    safe_searchstringqueryno安全搜索设置unset
    search_typestringqueryno搜索类型post

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All Reddit endpoints →

    Search

    Search endpoints and docs